Package org.apache.tools.ant.util

# Class CompositeMapper

java.lang.Object
org.apache.tools.ant.util.ContainerMapper
org.apache.tools.ant.util.CompositeMapper

All Implemented Interfaces:
  `FileNameMapper`

    public class CompositeMapper
    extends ContainerMapper

A `ContainerMapper` that unites the results of its constituent `FileNameMapper`s into a single set of result filenames.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CompositeMapper()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `mapFileName​(java.lang.String sourceFileName)` | Returns an array containing the target filename(s) for the given source file.

  ### Methods inherited from class org.apache.tools.ant.util.ContainerMapper

  `add, addConfigured, addConfiguredMapper, contains, getMappers, setFrom, setTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeMapper

    public CompositeMapper()

- ## Method Details

  - ### mapFileName

    public java.lang.String[] mapFileName​(java.lang.String sourceFileName)
    Returns an array containing the target filename(s) for the given source file.

    if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

    .
    Parameters:
      `sourceFileName` - the name of the source file relative to some given basedirectory. Might be `null` for resources that don't provide a name.
    Returns:
      an array of strings if the rule applies to the source file, or null if it does not.